import { TextField } from "@mui/material";
import { useAtom } from "jotai";
import { serverConnectionAtom, serverUrlAtom } from "../../lib/jotai";

export const ServerUrlInput = () => {
  // atoms
  const [serverUrl, setServerUrl] = useAtom(serverUrlAtom);

  return (
    <TextField
      fullWidth
      label='Paste your backend URL here (default: http://localhost:5000)'
      onChange={(event) => setServerUrl(event.target.value)}
      size='small'
      value={serverUrl}
    />
  );
};
