import { Server } from "http";
import { atom } from "jotai";

// store which page the user is currently on
// no actual routing is done here,
// full page components are used render the different pages
export const routeAtom = atom("index");

// store the status of connection to backend
type ServerConnection = "connected" | "connecting" | "disconnected";
export const serverConnectionAtom = atom<ServerConnection>("disconnected");

// store the url of the backend server
export const serverUrlAtom = atom("");
